

/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2005 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

### File Specific:
   main-programmer: hdavid, stefalie
   co-programmer:
*/

#include "movie_entity.h"
#include "fast_factory.h"

using namespace std;

CREATE_FAST_FACTORY_STATIC(MovieEntity, CL_MOVIE_ENTITY);

/**
 *  standard constructor
 */
MovieEntity::MovieEntity (const TiXmlElement* root)
{
  this->setClassID(CL_MOVIE_ENTITY, "MovieEntity");

  counter = 0;
  timer = 0;
  //this->model = (Model*) ResourceManager::getInstance()->load("cube", RP_LEVEL);
}

/**
 *  standard destructor
 */
MovieEntity::~MovieEntity ()
{
}


/**
 *  this method is called every frame
 * @param time: the time in seconds that has passed since the last tick

   Handle all stuff that should update with time inside this method (movement, animation, etc.)
 */
void MovieEntity::tick(float time)
{

}


/**
 *  the entity is drawn onto the screen with this function

   This is a central function of an entity: call it to let the entity painted to the screen. Just override this function with whatever you want to be drawn.
 */
void MovieEntity::draw() const
{

}

void MovieEntity::loadParams(const TiXmlElement* root)
{

}

void MovieEntity::loadMovie(const char* filename)
{

}

